Bug 1264573 - URL installs are busted with virt-manager/virt-install
URL installs are busted with virt-manager/virt-install
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 17:16 EDT by Cole Robinson
Modified: 2015-09-24 01:08 EDT (History)
9 users (show)

See Also:
Fixed In Version: 1.2.18.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 01:08:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2015-09-18 17:16:51 EDT
We need to backport this commit:

commit 269d39afe5c59ecb3d3d64dba52f8cfa8d63d197
Author: Guido Günther <agx@sigxcpu.org>
Date:   Sun Aug 23 22:03:54 2015 +0200

    storage: only run safezero if allocation is > 0
    
    While a zero allocation in safezero should be fine it isn't when we use
    posix_fallocate which returns EINVAL on a zero allocation.
    
    While we could skip the zero allocation in safezero_posix_fallocate it's
    an optimization to do it for all allocations.
    
    This fixes vm installation via virtinst for me which otherwise aborts
    like:
    
       Starting install...
       Retrieving file linux...               | 5.9 MB     00:01 ...
       Retrieving file initrd.gz...           |  29 MB     00:07 ...
       ERROR    Couldn't create storage volume 'virtinst-linux.sBgds4': 'cannot fill file '/var/lib/libvirt/boot/virtinst-linux.sBgds4': Invalid argument'
    
    The error was introduced by e30297b0 as spotted by Chunyan Liu
Comment 1 Fedora Update System 2015-09-22 08:02:36 EDT
libvirt-1.2.18.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16416
Comment 2 Fedora Update System 2015-09-22 23:55:25 EDT
libvirt-1.2.18.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libvirt'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16416
Comment 3 Fedora Update System 2015-09-24 01:08:02 EDT
libvirt-1.2.18.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.